<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_speventum
 *
 * @copyright   Copyright (C) 2010 - 2021 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined ('_JEXEC') or die ('Restricted access');

use Joomla\CMS\Language\Text;

/**
 * Component Helper class
 * 
 * @since 2.0.0
 */
class SpeventumHelper
{
    /**
	 * component name
	 *
	 * @var string
     * @since 2.0.0
	 */
	public static $extension = 'com_speventum';

    /**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  The name of the active view.
	 *
	 * @return  void
	 *
	 * @since   2.0.0
	 */
	public static function addSubmenu($vName)
	{
        JHtmlSidebar::addEntry(
            Text::_('COM_SPEVENTUM_TITLE_SCHEDULES'), 
            'index.php?option=com_speventum&view=schedules',
			$vName == 'schedules'
        );
		JHtmlSidebar::addEntry(
            Text::_('COM_SPEVENTUM_TITLE_SPEAKERS'), 
            'index.php?option=com_speventum&view=speakers',
			$vName == 'speakers'
        );
		JHtmlSidebar::addEntry(
            Text::_('COM_SPEVENTUM_TITLE_SESSIONS'), 
            'index.php?option=com_speventum&view=sessions',
			$vName == 'sessions'
        );
    }

    /**
     * Get Joomla Version
     *
     * @param string $type  version type
     * @return void
     * 
     * @since 2.0.0
     */
	public static function getVersion($type = 'major')
	{
		$version = JVERSION;
		list ($major, $minor, $patch) = explode('.', $version);

		if (strpos($patch, '-') !== false)
		{
			$patch = explode('-', $patch)[0];
		}

		switch ($type)
		{
			case 'minor':
				return (int) $minor;
			case 'patch':
				return (int) $patch;
			case 'major':
			default:
				return (int) $major;
		}
	}

}