<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_speventum
 *
 * @copyright   Copyright (C) 2010 - 2021 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined ('_JEXEC') or die ('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Access\Exception\NotAllowed;
use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Uri\Uri;


$doc = Factory::getDocument();
$doc->addStylesheet( Uri::root(true) . '/administrator/components/com_speventum/assets/css/speventum.css' );

// Require helper file
JLoader::register('SpeventumHelper', JPATH_COMPONENT . '/helpers/speventum.php');

if (!Factory::getUser()->authorise('core.manage', 'com_speventum'))
{
	throw new NotAllowed(Text::_('JERROR_ALERTNOAUTHOR'), 403);
}

$controller = BaseController::getInstance('speventum');
$controller->execute(Factory::getApplication()->input->get('task'));
$controller->redirect();