
<?php

/**
* @package com_speventum
* @author JoomShaper http://www.joomshaper.com
* @copyright Copyright (c) 2010 - 2021 JoomShaper
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
*/

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ContentHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;

class SpeventumViewSessions extends HtmlView
{
	protected $items;
	protected $state;
	protected $pagination;
	protected $model;
	public $filterForm, $activeFilters;

	public function display($tpl = null)
	{
		$this->items			= $this->get('Items');
		$this->state			= $this->get('State');
		$this->pagination		= $this->get('Pagination');
		$this->model			= $this->getModel('sessions');
		$this->filterForm		= $this->get('FilterForm');
		$this->activeFilters	= $this->get('ActiveFilters');

		SpeventumHelper::addSubmenu('sessions');

		if (count($errors = $this->get('Errors')))
		{
			throw new \Exception(implode('<br>', $errors), 500);
		}

		$this->addToolbar();
		$this->sidebar = JHtmlSidebar::render();

		return parent::display($tpl);
	}

	protected function addToolbar()
	{
		$state	= $this->get('State');
		$canDo	= ContentHelper::getActions('com_speventum','component');
		$user	= Factory::getUser();
		$bar	= Toolbar::getInstance('toolbar');

		if ($canDo->get('core.create'))
		{
			ToolbarHelper::addNew('session.add');
		}

		if ($canDo->get('core.edit'))
		{
			ToolbarHelper::editList('session.edit');
		}

		if ($canDo->get('core.edit.state'))
		{
			ToolbarHelper::publish('sessions.publish','JTOOLBAR_PUBLISH',true);
			ToolbarHelper::unpublish('sessions.unpublish','JTOOLBAR_UNPUBLISH',true);
			ToolbarHelper::archiveList('sessions.archive');
			ToolbarHelper::checkin('sessions.checkin');
		}

		if ($state->get('filter.published') === -2 && $canDo->get('core.delete'))
		{
			ToolbarHelper::deleteList('','sessions.delete','JTOOLBAR_EMPTY_TRASH');
		}
		elseif ($canDo->get('core.edit.state'))
		{
			ToolbarHelper::trash('sessions.trash');
		}

		if ($canDo->get('core.admin'))
		{
			ToolbarHelper::preferences('com_speventum');
		}

		JHtmlSidebar::setAction('index.php?option=com_speventum&view=sessions');
		ToolbarHelper::title(Text::_('COM_SPEVENTUM_TITLE_SESSIONS'),'');
	}
}
	
