<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_speventum
 *
 * @copyright   Copyright (C) 2010 - 2021 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined ('_JEXEC') or die ('Restricted access');

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Filter\OutputFilter;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;

class SpeventumViewSpeaker extends HtmlView {

    protected $item;

    public function display($tpl = null) {
        $model      = $this->getModel();
        $this->item = $this->get('Item');

        $this->cParams 			= ComponentHelper::getParams('com_speventum');
		$id 					= Factory::getApplication()->input->get('id', NULL, 'INT');
		$model 					= $this->getModel();
		$this->speaker 			= $model->getSpeaker($id);
		$this->sessions 		= $model->getSessionsForSpeaker($id);
		
		// Socials
		$socials = array();

		if(isset($this->speaker->social_twitter) && $this->speaker->social_twitter) {
			$socials[] = array('twitter', 'https://twitter.com/' . $this->speaker->social_twitter);
		}

		if(isset($this->speaker->social_facebook) && $this->speaker->social_facebook) {
			$socials[] = array('facebook', 'https://www.facebook.com/' . $this->speaker->social_facebook);
		}

		if(isset($this->speaker->social_googleplus) && $this->speaker->social_googleplus) {
			$socials[] = array('google-plus', 'https://plus.google.com/' . $this->speaker->social_googleplus);
		}

		if(isset($this->speaker->social_pinterest) && $this->speaker->social_pinterest) {
			$socials[] = array('pinterest', 'https://www.pinterest.com/' . $this->speaker->social_pinterest);
		}

		if(isset($this->speaker->social_linkedin) && $this->speaker->social_linkedin) {
			$socials[] = array('linkedin', $this->speaker->social_linkedin);
		}

		if(isset($this->speaker->social_dribbble) && $this->speaker->social_dribbble) {
			$socials[] = array('dribbble', 'https://dribbble.com/' . $this->speaker->social_dribbble);
		}

		if(isset($this->speaker->social_behance) && $this->speaker->social_behance) {
			$socials[] = array('behance', 'https://www.behance.net/' . $this->speaker->social_behance);
		}

		if(isset($this->speaker->social_flickr) && $this->speaker->social_flickr) {
			$socials[] = array('flickr', 'https://www.flickr.com/people/' . $this->speaker->social_flickr);
		}

		if(isset($this->speaker->social_youtube) && $this->speaker->social_youtube) {
			$socials[] = array('youtube', 'https://www.youtube.com/user/' . $this->speaker->social_youtube);
		}

		if(isset($this->speaker->social_vimeo) && $this->speaker->social_vimeo) {
			$socials[] = array('vimeo', 'https://vimeo.com/' . $this->speaker->social_vimeo);
		}

		if(isset($this->speaker->social_github) && $this->speaker->social_github) {
			$socials[] = array('github', 'https://github.com/' . $this->speaker->social_github);
		}

		if(isset($this->speaker->social_skype) && $this->speaker->social_skype) {
			$socials[] = array('skype', 'skype:' . $this->speaker->social_skype . '?chat');
		}

		$this->speaker->socials = $socials;

		//Generate Item Meta
		$itemMeta 				= array();
		$itemMeta['title'] 		= $this->speaker->title;
		$cleanText 				= $this->speaker->description;
		$itemMeta['metadesc'] 	= HTMLHelper::_('string.truncate', OutputFilter::cleanText($cleanText), 155);
		$itemMeta['image'] 		= Uri::base() . $this->speaker->image;
		EventumHelper::itemMeta($itemMeta);

        return parent::display($tpl = null);
    }
}
    
