<?php

/**
 * @package     Joomla.Site
 * @subpackage  com_speventum
 *
 * @copyright   Copyright (C) 2010 - 2021 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
?>
<div id="sp-com-eventum" class="sp-com-eventum sp-eventum-view-speakers">

    <?php if (count($this->keyonte_speakers) && $this->show_kspeakrs) { ?>
        <div class="sp-speakers" id="keynote-speakers">
            <h3 class="section-title text-center"><?php echo Text::_('COM_SPEVENTUM_KEYNOTE_SPEAKERS'); ?></h3>
            <div class="row">
                <?php foreach ($this->keyonte_speakers as $this->speaker) { ?>
                    <div class="col-sm-<?php echo round(12 / $this->cParams->get('keynote_columns')); ?>">
                        <?php echo $this->loadTemplate('speaker', $this->speaker); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    <?php } ?>


    <?php if (!empty($this->items)) { ?>
        <div class="sp-speakers" id="other-speakers">
            <h4 class="section-subtitle"><?php echo Text::_('COM_SPEVENTUM_WORLDS_LEADING_SPEAKERS'); ?></h4>
            <h3 class="section-title"><?php echo Text::_('COM_SPEVENTUM_ALL_SPEAKERS'); ?></h3>
            <div class="row">
                <?php foreach ($this->items as $key => $this->speaker) { ?>
                    <div class="col-sm-<?php echo round(12 / $this->cParams->get('speakers_columns', 4)); ?>">
                        <?php echo $this->loadTemplate('speaker', $this->speaker); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    <?php } ?>


    <?php if ($this->pagination->get('pages.total') > 1) { ?>
        <div class="pagination pagination-wrapper">
            <?php echo $this->pagination->getPagesLinks(); ?>
        </div>
    <?php } ?>