<?php
/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */

//no direct accees
defined('_JEXEC') or die('resticted aceess');

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Filesystem\File;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

class SppagebuilderAddonEventum_schedules extends SppagebuilderAddons {

    public function render() {
        $schedule_count = (isset($this->addon->settings->schedule_count) && $this->addon->settings->schedule_count) ? $this->addon->settings->schedule_count : '';
        $session_count = (isset($this->addon->settings->session_count) && $this->addon->settings->session_count) ? $this->addon->settings->session_count : '';
        $schedule_layout = (isset($this->addon->settings->schedule_layout) && $this->addon->settings->schedule_layout) ? $this->addon->settings->schedule_layout : 'classic';
        $column = (isset($this->addon->settings->column) && $this->addon->settings->column) ? $this->addon->settings->column : 4;
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';

        $schedules = $this->getSchedules($schedule_count);

        // Prepare Schedules
        foreach ($schedules as $schedule) {
            $sessions = $this->getEventumSessions($schedule->id, $session_count);
            $schedule->sessions = $sessions;

            if (count($schedule->sessions)) {
                foreach ($schedule->sessions as $session) {
                    $session->speakers = $this->getEventumSpeakers($session->speakers);
                }
            }
        }


        if ($column > count($schedules))
            $column = count($schedules);

        if (count($schedules)) {
            $output = ob_start();

            if ($schedule_layout == 'grid') {
                ?>
                <div class="eventum-schedules layout-addon  <?php echo $schedule_layout, $class?>">
                    <div class="row">
                        <?php foreach ($schedules as $key => $schedule) { ?>
                            <div class="eventum-schedule col-md-<?php echo round(12 / $column); ?>">

                                <div class="scedule-date">
                                    <span class="scedule-date-day">
                                        <?php echo HTMLHelper::_('date', $schedule->date, 'd'); ?>
                                    </span>
                                    <?php echo HTMLHelper::_('date', $schedule->date, 'M'); ?>
                                </div>

                                <div class="event-sessions">
                                    <?php foreach ($schedule->sessions as $key => $schedule->session) { ?>
                                        <div class="event-session">
                                            <h4 class="session-title"><?php echo $schedule->session->title; ?></h4>
                                            <div class="session-speakers">
                                                <?php if (count($schedule->session->speakers) == 1) { ?>
                                                    <?php echo Text::_('EVENTUM_SPEAKER'); ?>:
                                                <?php } elseif (count($schedule->session->speakers) > 1) { ?>
                                                    <?php echo Text::_('EVENTUM_SPEAKERS'); ?>:
                                                <?php } ?>
                                                <?php foreach ($schedule->session->speakers as $key => $speaker) { ?>
                                                    <a class="event-speaker" href="<?php echo Route::_('index.php?option=com_speventum&view=speaker&id=' . $speaker->id . ':' . $speaker->alias); ?>"><?php echo $speaker->title; ?></a><?php if ($key != count($schedule->session->speakers) - 1) echo ", "; ?>
                                                <?php } ?> 
                                            </div>

                                            <div class="session-meta">
                                                <?php echo $schedule->session->opening; ?> - <?php echo $schedule->session->closing; ?>, <?php echo $schedule->session->venue; ?>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>

            <?php } else if ($schedule_layout == 'classic') { ?>
                <div class="eventum-schedules classic layout-addon <?php echo $class?>">
                    <?php foreach ($schedules as $key => $schedule) { ?>
                        <div class="eventum-schedule">
                            <div class="row">
                                <div class="col-sm-2 scedule-date-wrap">
                                    <div class="scedule-date">
                                        <span class="scedule-date-day">
                                            <?php echo HTMLHelper::_('date', $schedule->date, 'd'); ?>
                                        </span>
                                        <?php echo HTMLHelper::_('date', $schedule->date, 'M'); ?>
                                    </div>
                                </div>
                                <!-- //.col-sm-2 -->

                                <div class="col-sm-10">
                                    <div class="event-sessions">
                                        <?php foreach ($schedule->sessions as $key => $schedule->session) { ?>
                                            <div class="event-session">
                                                <div class="row">
                                                    <!-- speakers -->
                                                    <?php if(count($schedule->session->speakers) >0) {?>
                                                    <div class="col-md-2">
                                                        <div class="session-speakers">
                                                            <?php foreach ($schedule->session->speakers as $key => $speaker) {
                                                                if($key == 0){
                                                                ?>
                                                                <img src="<?php echo $this->getThumbs($speaker->image); ?>" alt="<?php echo $speaker->title; ?>">
                                                                <?php echo $speaker->title; ?><?php if ($key != count($schedule->session->speakers) - 1) echo ", "; ?>
                                                            <?php }} ?> 
                                                        </div>
                                                    </div>
                                                    <?php if(count($schedule->session->speakers) >1) { ?>
                                                    <div class="col-md-7">
                                                    <?php } else { ?>
                                                    <div class="col-md-10">
                                                    <?php }} else { ?>
                                                    <!-- event sessions -->
                                                    <div class="col-md-12 session-breaktime">
                                                    <?php } ?>
                                                        <h4 class="session-title"><?php echo $schedule->session->title; ?></h4>
                                                        <div class="session-desc"><?php echo $schedule->session->description; ?></div>
                                                        <div class="session-meta">
                                                        <span class="far fa-clock"></span>
                                                        <span><?php echo $schedule->session->opening; ?> - <?php echo $schedule->session->closing; ?></span>
                                                        <?php if($schedule->session->venue){ ?>
                                                            <span class="fas fa-home"></span>
                                                            <span><?php echo $schedule->session->venue; ?></span>
                                                        <?php } ?>
                                                        </div>
                                                    </div>
                                                    <!-- others speakers -->
                                                    <?php if(count($schedule->session->speakers) >1) {?>
                                                    <div class="col-md-3">
                                                        <p><?php echo Text::_('EVENTUM_OTHER_SPEAKERS'); ?></p>
                                                        <div class="session-others-speakers">
                                                            <?php foreach ($schedule->session->speakers as $key => $speaker) {
                                                                if($key >= 1){
                                                            ?>
                                                                <div>
                                                                    <img src="<?php echo $this->getThumbs($speaker->image); ?>" alt="<?php echo $speaker->title; ?>" data-bs-toggle="tooltip" data-bs-placement="bottom" title="<?php echo $speaker->title; ?>">
                                                                </div>
                                                            <?php }} ?> 
                                                        </div>
                                                    </div>
                                                    <?php } ?>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                                <!-- //.col-sm-10 -->
                            </div>
                            <!-- //.row -->
                        </div>
                    <?php } ?>
                </div>

            <?php } else { ?>

                <div class="eventum-schedules layout-addon schedules-list">

                    <?php foreach ($schedules as $key => $schedule) { ?>
                        <div class="eventum-schedule">
                            <div class="scedule-date text-center">
                                <span class="scedule-date-day">
                                    <?php echo HTMLHelper::_('date', $schedule->date, 'd'); ?>
                                </span>
                                <?php echo HTMLHelper::_('date', $schedule->date, 'M'); ?>
                            </div>
                            <div class="table-responsive">
                                <table class="table table-hover">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Session</th>
                                            <th>Speaker(s)</th>
                                            <th>Time</th>
                                            <th>Venue</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($schedule->sessions as $key => $schedule->session) { ?>
                                            <tr>
                                                <td scope="row"><?php echo $key + 1; ?></td>
                                                <td><?php echo $schedule->session->title; ?></td>
                                                <td>
                                                    <?php foreach ($schedule->session->speakers as $key => $speaker) { ?>
                                                        <a class="event-speaker" href="<?php echo Route::_('index.php?option=com_speventum&view=speaker&id=' . $speaker->id . ':' . $speaker->alias); ?>"><?php echo $speaker->title; ?></a><?php if ($key != count($schedule->session->speakers) - 1) echo ", "; ?>
                                                    <?php } ?>
                                                    <?php if (!count($schedule->session->speakers)) { ?>
                                                        .....
                                                    <?php } ?>
                                                </td>
                                                <td><?php echo $schedule->session->opening; ?> - <?php echo $schedule->session->closing; ?></td>
                                                <td><?php echo $schedule->session->venue; ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <?php
            }
        }
        return ob_get_clean();
    }

    private function getThumbs($image) {
        $params = ComponentHelper::getParams('com_speventum');
        $thumb 	= $params->get('speaker_thumbnail', '80x80');

        $filename 		= basename($image);
        $customizePath 	= JPATH_BASE .'/'. dirname($image) . '/thumbs/' . File::stripExt($filename) . '_' . $thumb . '.' . File::getExt($filename);
        $imageSrc		= Uri::base(true) . '/' . dirname($image) . '/thumbs/' . File::stripExt($filename) . '_' . $thumb . '.' . File::getExt($filename);

        if (File::exists($customizePath)) {
            return $imageSrc;
        }
        return Uri::root() . $image;
    }

    private function getSchedules($schedule_count) {
        $db = Factory::getDbo();
        $query = $db->getQuery(true);
        $query->select(array('a.*'));
        $query->from($db->quoteName('#__speventum_schedules', 'a'));
        $query->where($db->quoteName('a.published') . " = " . $db->quote('1'));
        $query->where('a.language in (' . $db->quote(Factory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
        $query->where($db->quoteName('a.access') . " IN (" . implode(',', Factory::getUser()->getAuthorisedViewLevels()) . ")");
        $query->order($db->quoteName('a.date') . ' ASC');
        $query->setLimit($schedule_count);
        $db->setQuery($query);
        $schedules = $db->loadObjectList();
        return $schedules;
    }

    private function getEventumSessions($id = NULL, $count=10) {
        $db = Factory::getDbo();
        $query = $db->getQuery(true);
        $query->select(array('a.*'));
        $query->from($db->quoteName('#__speventum_sessions', 'a'));
        $query->where($db->quoteName('a.schedule_id') . " = " . $db->quote($id));
        //$query->where($db->quoteName('a.speakers')." != ".$db->quote(''));
        $query->where($db->quoteName('a.published') . " = " . $db->quote('1'));
        $query->where('a.language in (' . $db->quote(Factory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
        $query->where($db->quoteName('a.access') . " IN (" . implode(',', Factory::getUser()->getAuthorisedViewLevels()) . ")");
        $query->order($db->quoteName('a.ordering') . ' ASC');
        $query->setLimit($count);
        $db->setQuery($query);
        $sessions = $db->loadObjectList();

        return $sessions;
    }

    private function getEventumSpeakers($ids = NULL) {

        $ids = json_decode($ids);

        if ($ids) {
            $ids = implode(',', $ids);

            $db = Factory::getDbo();
            $query = $db->getQuery(true);
            $query->select(array('a.*'));
            $query->from($db->quoteName('#__speventum_speakers', 'a'));
            $query->where($db->quoteName('a.id') . " IN (" . $ids . ")");
            $query->where($db->quoteName('a.published') . " = " . $db->quote('1'));
            $query->where('a.language in (' . $db->quote(Factory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
            $query->where($db->quoteName('a.access') . " IN (" . implode(',', Factory::getUser()->getAuthorisedViewLevels()) . ")");
            $db->setQuery($query);
            $speaker = $db->loadObjectList();

            return $speaker;
        }

        return array();
    }

}
